Package ru.bitel.bgbilling.modules.npay.common.bean

# Class ServiceObject

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.npay.common.bean.ServiceObject

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class ServiceObject extends IdContractId implements Serializable
Абонплата пользователя

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `objTitle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServiceObject`
  `clone()`
  `static ServiceObject`
  `from(ServiceObject serviceObject)`
  `BigDecimal`
  `getCol()`
  `String`
  `getComment()`
  `BigDecimal`
  `getCost()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getEntityId()`
  `int`
  `getEntityModuleId()`
  `LocalDateTime`
  `getLastUpdate()`
  `int`
  `getObjectId()`
  `String`
  `getObjectTitle()`
  `int`
  `getServiceId()`
  `String`
  `getServiceTitle()`
  `int`
  `getUserId()`
  `ServiceObject`
  `setCol(BigDecimal col)`
  `ServiceObject`
  `setComment(String comment)`
  `ServiceObject`
  `setContractId(int contractId)`
  `ServiceObject`
  `setCost(BigDecimal cost)`
  `ServiceObject`
  `setDate1(Date serviceDate1)`
  `ServiceObject`
  `setDate2(Date serviceDate2)`
  `ServiceObject`
  `setEntityId(int entityId)`
  `ServiceObject`
  `setEntityModuleId(int entityModuleId)`
  `ServiceObject`
  `setId(int id)`
  Устанавливает id объекта
  `ServiceObject`
  `setLastUpdate(LocalDateTime lastUpdate)`
  `ServiceObject`
  `setObjectId(int objectId)`
  `ServiceObject`
  `setObjectTitle(String objectTitle)`
  `ServiceObject`
  `setServiceId(int serviceId)`
  `ServiceObject`
  `setServiceTitle(String serviceTitle)`
  `ServiceObject`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### objTitle

    public String objTitle

- ## Constructor Details

  - ### ServiceObject

    public ServiceObject()

- ## Method Details

  - ### clone

    public ServiceObject clone()
    Overrides:
      `clone` in class `Object`

  - ### getCol

    public BigDecimal getCol()

  - ### getComment

    public String getComment()

  - ### getCost

    public BigDecimal getCost()

  - ### getDate1

    public Date getDate1()

  - ### getDate2

    public Date getDate2()

  - ### getEntityId

    public int getEntityId()

  - ### getEntityModuleId

    public int getEntityModuleId()

  - ### getLastUpdate

    public LocalDateTime getLastUpdate()

  - ### getObjectId

    public int getObjectId()

  - ### getObjectTitle

    public String getObjectTitle()

  - ### getServiceId

    public int getServiceId()

  - ### getServiceTitle

    public String getServiceTitle()

  - ### getUserId

    public int getUserId()

  - ### setCol

    public ServiceObject setCol(BigDecimal col)

  - ### setComment

    public ServiceObject setComment(String comment)

  - ### setContractId

    public ServiceObject setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### setCost

    public ServiceObject setCost(BigDecimal cost)

  - ### setDate1

    public ServiceObject setDate1(Date serviceDate1)

  - ### setDate2

    public ServiceObject setDate2(Date serviceDate2)

  - ### setEntityId

    public ServiceObject setEntityId(int entityId)

  - ### setEntityModuleId

    public ServiceObject setEntityModuleId(int entityModuleId)

  - ### setId

    public ServiceObject setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setLastUpdate

    public ServiceObject setLastUpdate(LocalDateTime lastUpdate)

  - ### setObjectId

    public ServiceObject setObjectId(int objectId)

  - ### setObjectTitle

    public ServiceObject setObjectTitle(String objectTitle)

  - ### setServiceId

    public ServiceObject setServiceId(int serviceId)

  - ### setServiceTitle

    public ServiceObject setServiceTitle(String serviceTitle)

  - ### setUserId

    public ServiceObject setUserId(int userId)

  - ### from

    public static ServiceObject from(ServiceObject serviceObject)